Bug 1500364 - mariadb, postgresql, mysql, and mediawiki APBs should use rhcc images
Summary: mariadb, postgresql, mysql, and mediawiki APBs should use rhcc images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: unspecified
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
: 3.7.0
Assignee: David Zager
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-10 13:01 UTC by David Zager
Modified: 2017-12-07 07:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-07 07:12:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3389 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Enterprise security, bug fix, and enhancement update 2017-12-07 12:09:10 UTC

Description David Zager 2017-10-10 13:01:07 UTC
Description of problem:

Ansible Playbook Bundles that are to be shipped as part of OpenShift should use rhcc images in both the playbooks and apb.yml (dependencies).


How reproducible: Always


Steps to Reproduce:

For each of (mariadb, postgresql, mysql, and mediawiki)-apb
1. docker pull registry.access.redhat.com/openshift3/${apb-name}-apb
2. docker inspect registry.access.redhat.com/openshift3/${apb-name}-apb --format "{{ index .Config.Labels \"com.redhat.apb.spec\" }}" | base64 --decode

Expected results:

All APBs should reference registry.access.redhat.com/(rhscl|openshift3)/ images.

Comment 3 Weihua Meng 2017-11-10 08:16:30 UTC
All four 3.7 latest images look good.
For dependencies:

openshift3/mediawiki-apb:v3.7.4-2
  registry.access.redhat.com/openshift3/mediawiki-123:latest

openshift3/mariadb-apb:v3.7.4-2
  registry.access.redhat.com/rhscl/mariadb-100-rhel7
  registry.access.redhat.com/rhscl/mariadb-101-rhel7

openshift3/mysql-apb:v3.7.4-2
  registry.access.redhat.com/rhscl/mysql-56-rhel7
  registry.access.redhat.com/rhscl/mysql-57-rhel7

openshift3/postgresql-apb:v3.7.4-2
  registry.access.redhat.com/rhscl/postgresql-94-rhel7
  registry.access.redhat.com/rhscl/postgresql-95-rhel7

For 3.6, we only deliver  openshift3/mediawiki-apb and openshift3/postgresql-apb, they are not updated for 3 months, do not contain the new code.

If this is must for tag 3.6 apb images, we need to build new images for those two.

If not, All look good for me.

Comment 5 John Matthews 2017-11-13 14:09:47 UTC
Agree with Weihua/Xialoi, this was intended for 3.7.0 and not 3.6.z

Comment 6 Weihua Meng 2017-11-14 00:34:44 UTC
Verified with latest apb v3.7 images(v3.7.4-2).

Comment 9 errata-xmlrpc 2017-12-07 07:12:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3389


Note You need to log in before you can comment on or make changes to this bug.